Subject: Re: [PATCH] l10n: de.po: translate 27 new messages

From: Thomas Rast <[email-masked]>
Date: Sat, 08 Feb 2014 19:39:08 +0100

I see you are defining new glossary terms:

  shallow     unvollständig
  grafted     gesondert eingehängt

I guess the first one is reasonable if we don't call anything
"incomplete"?  (I don't think we do, just checking.)

I don't really like 'gesondert eingehängt', how about 'transplantiert'
instead?  Or just say graft=Graft and use 'mit Grafts' or some similar
workaround, since it is a highly specialized term.

Ralf Thielow <[email-masked]> writes:

>  #: diff.c:113
>  #, c-format
> @@ -975,21 +975,23 @@ msgid ""
>  "There is nothing to exclude from by :(exclude) patterns.\n"
>  "Perhaps you forgot to add either ':/' or '.' ?"
>  msgstr ""
> +"Es gibt nichts, was durch :(exclude) Muster ausgeschlossen wird.\n"
> +"Vielleicht haben Sie vergessen entweder ':/' oder '.' hinzuzufügen?"

Doesn't sound right -- the original seems to describe the situation
where you are using :(exclude) without any non-excluded paths, whereas
the German first sentence sounds like you are using :(exclude) when it
doesn't match any paths.

Perhaps it works if translated very liberally:

":(exclude) Muster, aber keine anderen Pfadspezifikationen angegeben.\n"
"Vielleicht haben Sie vergessen entweder ':/' oder '.' hinzuzufügen?"

>  #: remote.c:753
> -#, fuzzy, c-format
> +#, c-format
>  msgid "Cannot fetch both %s and %s to %s"
> -msgstr "Kann keine Commit-Beschreibung für %s bekommen"
> +msgstr "Kann 'fetch' nicht für %s und %s nach %s ausführen."
[...]
>  #: remote.c:761
>  #, c-format
>  msgid "%s tracks both %s and %s"
> -msgstr ""
> +msgstr "%s folgt %s und %s"

In both of these the key point is "both".  Perhaps use "sowohl... als
auch".

>  #: wt-status.c:275
> -#, fuzzy
>  msgid "new file"
> -msgstr "neue Datei:   %s"
> +msgstr "neue Datei:"
[...]
>  #: wt-status.c:285
> -#, fuzzy
>  msgid "typechange"
> -msgstr "Typänderung: %s"
> +msgstr "Typänderung:"
>  
>  #: wt-status.c:287
> -#, fuzzy
>  msgid "unknown"
> -msgstr "unbekannt:    %s"
> +msgstr "unbekannt:"

Do we still need the trailing colon?

-- 
Thomas Rast
[email-masked]